# Machine Week 2024

```
everything's connected but nothing's working !
  ... from the movies 
```

# 0. Links ! 

> [Controls Repository: machineweek-2024-control](https://gitlab.cba.mit.edu/jakeread/machineweek-2024-control)

| Section | Working Repository (code, cad, etc) | Docs Repository (site source) | Docs Site | 
| --- | --- | --- | --- |
| CBA | [cba-machine](https://gitlab.cba.mit.edu/classes/863.24/CBA/cba-machine) | [cba-site](https://gitlab.cba.mit.edu/classes/863.24/CBA/site) | [CBA Section](https://fab.cba.mit.edu/classes/863.24/CBA/) |
| Harvard | [harvard-machine](https://gitlab.cba.mit.edu/classes/863.24/Harvard/harvard-machine) | [harvard-site](https://gitlab.cba.mit.edu/classes/863.24/Harvard/site) | [Harvard Section](https://fab.cba.mit.edu/classes/863.24/Harvard/) |
| EECS | [eecs-machine](https://gitlab.cba.mit.edu/classes/863.24/EECS/eecs-machine) | [eecs-site](https://gitlab.cba.mit.edu/classes/863.24/EECS/site) | [EECS Section](https://fab.cba.mit.edu/classes/863.24/EECS/) |
| Architecture | [architecture-machine](https://gitlab.cba.mit.edu/classes/863.24/Architecture/architecture-machine) | [architecture-site](https://gitlab.cba.mit.edu/classes/863.24/Architecture/site) | [Architecture Section](https://fab.cba.mit.edu/classes/863.24/Architecture/) |

# 1. Your (Group) Task

Each section will design and build a "machine" - this means anything that includes **mechanism, actuation, automation and application.** 

You'll get a [**kit of parts**](KIT.md) to do this, and we have [**an example linear axis**](TODO) and [**an example rotary axis**](TODO) that you can use as building blocks. We also have two example projects: [**a xylophone that plays itself**](TODO) and a [**small, very fast drawing machine**](TODO). We also provide a [**set of modular hardware and software for motion control**](https://gitlab.cba.mit.edu/jakeread/machineweek-2024-control) (requires a gitlab login) to help get things moving. 

You should also **document your machine** and **use git to collaborate** a-la last year's examples:

- CBA Section 2023: [repo](https://gitlab.cba.mit.edu/classes/863.23/CBA/machine) and [website](https://fab.cba.mit.edu/classes/863.23/CBA/machine/index.html)
- Harvard Section 2023: [repo](https://gitlab.cba.mit.edu/classes/863.23/Harvard/machine) and [website](https://fab.cba.mit.edu/classes/863.23/Harvard/machine/index.html) 

### **Mechanism:** mechanical degrees-of-freedom (DOF)

Stuff should move around!

- [Kinematics, Constraint](https://fab.cba.mit.edu/classes/865.21/topics/mechanical_design//kinematics/)
- [Mechanical Principles](https://fab.cba.mit.edu/classes/865.21/topics/mechanical_design//principles/)

### **Actuation:** computer-controllable motion of the above DOFs

The motion should be computer controlled.

- [Stepper Controllers](https://gitlab.cba.mit.edu/jakeread/machineweek-2024-control/-/tree/main/circuits/simple-stepper?ref_type=heads) (TODO: improve doc) 
- [Transmissions](https://fab.cba.mit.edu/classes/865.21/topics/mechanical_design//transmissions/)  

### **Automation / Application** software-coordinated computer-control of the above, to accomplish a task. 

The motion should result in some desired outcome... maybe make something, draw something, change something, assemble something, sort something, cast a spell, etc. 

- [Path Planning](https://fab.cba.mit.edu/classes/865.24/topics/path_planning/index.html)  
- [Computer Vision ?](https://quentinbolsee.pages.cba.mit.edu/mas865.24_computer-vision/)  

---

# 2. Examples / Ideas

The machines you design and build **don't need to be complicated** - try to de-risk ideas early, and do stuff that "works right away" rather than complex projects that require hundreds of details to come together all at once in order to work. This can be fun; have fun.

### Label Maker [YT /  MrInnovative](https://www.youtube.com/watch?v=Y_rrbo6_42U&t=73s)

![tape-labels](img/tape-labels.png)

### Wire Cutter [YT / MrInnovative](https://youtu.be/7E6iHRjvH_k?t=20)

![wire-cutter](img/wire-cutter.png)

### String / Floating Machines [HangPrinter](https://youtu.be/dZLtPFJEQi0?t=104)

![hang-printer](img/hangprinter.png)

### Architecture-Scale / Space Transforming [Gil Sunshine](https://fab.cba.mit.edu/classes/865.21/people/gilsunshine/systems.html)

![gil](img/gil-machine.png)

## Scara Arm [YT / How To Mechatronics](https://www.youtube.com/watch?v=1QHJksTrk8s&t=38s)

![scara](img/scara.png)

### Light Painting

![lp](img/maxl-hello-world.jpg)

### Robot Chainsaw Machine: [YT / Stuff Made Here](https://youtu.be/ix68oRfI5Gw?t=1160)

![robosaw](img/robot-chainsaw.png)

### Robot Basketball Hoop: [YT / Stuff Made Here](https://youtu.be/myO8fxhDRW0?t=598)

![robohoop](img/robot-hoop.png)

### Claw Machine: [Toy Story](https://www.youtube.com/watch?v=N-Esh4W3dfI&t=55s)

### Shaper Origin [YT / Ilan Moyer](https://www.youtube.com/watch?v=QxjE5WOAGi4)

![origin](img/shaper_origin.webp)

### Turn-By-Wire: [UIST](https://dl.acm.org/doi/abs/10.1145/3332165.3347918)

![tbw](img/turn_by_wire.jpg)

### Xylo (WIP)

![xylo-wip](img/xylo-wip.jpg)  
![xylo](img/xylo.mp4)  

### Little Guy (WIP)

![lg-wip](img/littleguy-wip.jpg)  
![lg](img/little-guy.mp4)  

---

# 3. Component Examples from this Kit

### Belt Axis

| Fab'd | CAD: [CAD/belt_axis/assy_belt_axis.f3z](CAD/belt_axis/assy_belt_axis.f3z) | STLs: [CAD/belt_axis](CAD/belt_axis) |
| --- | --- | --- |
| ![lin](img/belt_axis_front.jpg) | ![axis](img/belt_axis.png) | ![stls](img/belt_axis_kit.png) |

### Rotary Axis [[notes](https://ekswhyzee.com/2019/04/09/gt2-belt-rotary-cad.html)]

| Fab'd | Preview: [CAD/rotary_axis/assy_rotary_axis.f3z](CAD/rotary_axis/assy_rotary_axis.f3z) | STLs: [CAD/rotary_axis](CAD/rotary_axis) |
| --- | --- | --- |
| ![rotary](img/rotary_axis_front.jpg) | ![axis](img/rotary_axis.png) | ![stls](img/rotary_axis_kit.png) |

### Framing

| Tee: [CAD/framing/frm_tee.stl](CAD/framing/frm_tee.stl), [.f3z](CAD/framing/frm_tee.f3z) | Elbow: [CAD/framing/frm_elbow.stl](CAD/framing/frm_elbow.stl), [.f3z](CAD/framing/frm_elbow.f3z) |
| --- | --- |
| ![gus](img/gusset_T.png) | ![el](img/gusset_elbow.png) |

---

# 4. The Kit of Parts: [KIT.md](KIT.md)

![controllers](img/kit-controller.jpg)  
![hardware](img/kit-hardware.jpg)

--- 

# 5. Strategies

- teamworks! 
  - have a project manager 
  - divide into sub-teams, but talk often 
    - electronics / software
    - mechanism
    - documentation 
    - CAD/cam ? 
- prototype in cardboard, mechanisms can move 'by hand'
- commit to your vision (no backtracking)
- spiral development !
- document all the time, it should be one person's job !
  - one page per team, 
  - note individual contributions on your page 

---

# 6. How to Start 

- elect a contact-person
- have them contact us (Jake and Quentin) (we will open a #machines channel in [the discord](https://discord.gg/uUn49gAdTV)) 
- convene a kickoff meeting, schedule it with us!
  - we will bring your kit-of-parts to the meeting! 

--- 

# 7. Extended Resources: [LINKS.md](LINKS.md)

---

# 8. Prior Years

- [Machine Week 2023](https://gitlab.cba.mit.edu/jakeread/machineweek-2023) 